/* GraphView styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///////////////////////////////////////////////////////////////////////////////*/

.notSelectable{
	-webkit-touch-callout:none;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}


#GraphColumn{
	display: flex;
	flex: 1 1 0%;
	flex-direction: column;
}

#loadingOverlay{
	position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.4);
    z-index: 2;
	justify-content: space-around;
	flex-direction: row;
}

#loadingOverlayVertical{
	display: flex;
	justify-content: center;
	flex-direction: column;
}

#GraphControl{
	padding: 15px;
	display: flex;
	justify-content: center;
	flex-direction: column;
	z-index: 1;
}

#GraphHeader{
	text-align: center;
	font-size: 40px;
}

#GraphControlSettings{
	display: flex;
	justify-content: space-around;
}

#GraphControlUpdate{
	background-color: crimson;
	padding: 10px;
	margin: 6px;
	color: white;
	border-radius: 5px;
	padding-left: 30px;
	padding-right: 30px;
	box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
	cursor: pointer;
	@extend .notSelectable;
}


#GraphControlDownloadCSV{
	background-color: crimson;
	padding: 10px;
	margin: 6px;
	color: white;
	border-radius: 5px;
	padding-left: 30px;
	padding-right: 30px;
	box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
	cursor: pointer;
	@extend .notSelectable;
}

#GraphControlShowInformations{
	display: flex;
	background-color: white;
	padding: 10px;
	margin: 6px;
	color: black;
	border-radius: 5px;
	padding-left: 30px;
	padding-right: 30px;
	cursor: pointer;
	@extend .notSelectable;
}